--- old/usr/src/cmd/getconf/Makefile	2013-09-29 11:09:49.521319035 +0000
+++ new/usr/src/cmd/getconf/Makefile	2013-09-29 11:09:49.557740332 +0000
@@ -37,7 +37,6 @@
 
 XPG4EXOBJS += values-xpg4.o
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-parentheses
 # XPG4
 $(XPG4) := CFLAGS += -D_XOPEN_SOURCE -I$(SRC)/lib/libc/inc
 
--- old/usr/src/cmd/getconf/getconf.c	2013-09-29 11:09:50.067783882 +0000
+++ new/usr/src/cmd/getconf/getconf.c	2013-09-29 11:09:50.080367268 +0000
@@ -221,6 +221,8 @@
 	/* Large File Summit name (UNIX 98) */
 
 	_PC_FILESIZEBITS,	"FILESIZEBITS",		PATHCONF,  NOFLAGS,
+	_PC_XATTR_ENABLED,	"XATTR_ENABLED",	PATHCONF,  NOFLAGS,
+	_PC_XATTR_EXISTS,	"XATTR_EXISTS",		PATHCONF,  NOFLAGS,
 
 	/* UNIX 03 Additions */
 
@@ -234,6 +236,11 @@
 	_PC_2_SYMLINKS,		"POSIX2_SYMLINKS",	PATHCONF,  NOFLAGS,
 	_PC_SYMLINK_MAX,	"SYMLINK_MAX",		PATHCONF,  NOFLAGS,
 
+	_PC_ACL_ENABLED,	"ACL_ENABLED",		PATHCONF,  NOFLAGS,
+	_PC_MIN_HOLE_SIZE,	"MIN_HOLE_SIZE",	PATHCONF,  NOFLAGS,
+	_PC_SATTR_ENABLED,	"SATTR_ENABLED",	PATHCONF,  NOFLAGS,
+	_PC_SATTR_EXISTS,	"SATTR_EXISTS",		PATHCONF,  NOFLAGS,
+
 	/* UNIX 08 additions */
 
 	_PC_TIMESTAMP_RESOLUTION, "_POSIX_TIMESTAMP_RESOLUTION",
@@ -826,7 +833,7 @@
 			return (usage());
 		errno = 0;
 		len = confstr((int)scp->value, NULL, (size_t)0);
-		if (len == 0)
+		if (len == 0) {
 			if (errno == EINVAL) {
 				(void) fprintf(stderr, gettext(INVAL_ARG),
 				    name);
@@ -836,6 +843,7 @@
 				(void) printf("undefined\n");
 				return (0);
 			}
+		}
 		/*
 		 * allocate space to store result of constr() into
 		 */
--- old/usr/src/man/man1/getconf.1	2013-09-29 11:09:50.444515026 +0000
+++ new/usr/src/man/man1/getconf.1	2013-09-29 11:09:50.456013263 +0000
@@ -10,7 +10,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License. You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.
 .\"  See the License for the specific language governing permissions and limitations under the License. When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with
 .\" the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH GETCONF 1 "Jan 16, 2013"
+.TH GETCONF 1 "Sep 27, 2013"
 .SH NAME
 getconf \- get configuration values
 .SH SYNOPSIS
@@ -408,9 +408,11 @@
 .TS
 l l l
 l l l .
-LINK_MAX	NAME_MAX	_POSIX_CHOWN_RESTRICTED
-MAX_CANON	PATH_MAX	_POSIX_NO_TRUNC
-MAX_INPUT	PIPE_BUF	_POSIX_VDISABLE
+ACL_ENABLED	NAME_MAX	XATTR_ENABLED
+LINK_MAX	PATH_MAX	XATTR_EXISTS
+MAX_CANON	PIPE_BUF	_POSIX_CHOWN_RESTRICTED
+MAX_INPUT	SATTR_ENABLED	_POSIX_NO_TRUNC
+MIN_HOLE_SIZE	SATTR_EXISTS	_POSIX_VDISABLE
 .TE
 
 .sp
